<p align="center">
  <a href="http://mos.caldis.me/">
    <img width="320" src="https://github.com/Caldis/Mos/blob/master/docs/resources/image/intro.png?raw=true">
  </a>
</p>


# Mos

![Xcode 9.0+](https://img.shields.io/badge/Xcode-9.0%2B-blue.svg)
![Swift 4.0+](https://img.shields.io/badge/Swift-4.0%2B-orange.svg)

A free & simple app allow your mouse wheel to scroll smoothly on macOS.

[中文](https://github.com/Caldis/Mos/blob/master/README.md) | [English](https://github.com/Caldis/Mos/blob/master/README.enUS.md)


## Homepage

http://mos.caldis.me/


## Features

- Let the mouse wheel scroll smoothly just like using a touchpad.
- Allows customizing scroll behavior, such as the speed and acceleration.
- Allows customizing the scrolling behavior for touchpad and mouse wheel separately.
- Provides an informative graph that shows the scroll events.
- Built in per app block/allow list support.
- Coded with Swift.


## Screenshot

<p align="center">
  <img width="600" src="https://github.com/Caldis/Mos/blob/master/docs/resources/image/en/Mointor.png?raw=true">
</p>
<p align="center">
  <img width="600" src="https://github.com/Caldis/Mos/blob/master/docs/resources/image/en/PreferencesGeneral.png?raw=true">
</p>
<p align="center">
  <img width="600" src="https://github.com/Caldis/Mos/blob/master/docs/resources/image/en/PreferencesAdvanced.png?raw=true">
</p>
<p align="center">
  <img width="600" src="https://github.com/Caldis/Mos/blob/master/docs/resources/image/en/PreferencesExceptionFull.png?raw=true">
</p>


## Download & Install

### Homebrew

If you wish to install the application from [Homebrew](https://brew.sh):

```bash
$ brew install mos
```

The application will live at `/Applications/Mos.app`.

To update the app:

```bash
$ brew update
$ brew reinstall mos
```

Quit then relaunch the app.

### Manual Installation

- [GithubRelease](https://github.com/Caldis/Mos/releases/)


## Guide

- [GithubWiki](https://github.com/Caldis/Mos/wiki)


## Thanks

- [Charts](https://github.com/danielgindi/Charts)
- [iconfont.cn](http://www.iconfont.cn)
- [LoginServiceKit](https://github.com/Clipy/LoginServiceKit)
- [Smoothscroll-for-websites](https://github.com/galambalazs/smoothscroll-for-websites)


## Contributing

Feel free to submit or propose improvements to the code or to the translation of Mos in different languages. Please submit new issues through [GitHub issues](https://github.com/Caldis/Mos/issues). If you are good at coding, please submit a PR directly!


## LICENSE

Copyright (c) 2018 Caldis rights reserved.

[CC Attribution-NonCommercial](http://creativecommons.org/licenses/by-nc/4.0/)

Do not upload Mos to the App Store.
